Skip to content
Last updated

GenInvoices

Generate any invoices that are due to be generated

Request Parameters

ParameterTypeDescriptionRequired
actionstring"GenInvoices"Required
noemailsboolStop any invoice created emails being sentOptional
clientidintPass to generate invoices only for a single client idOptional
serviceidsint[]An array of service ids to generate invoices forOptional
domainidsint[]An array of domain ids to generate invoices forOptional
addonidsint[]An array of addon ids to generate invoices forOptional

Response Parameters

ParameterTypeDescription
resultstringThe result of the operation: success or error
numcreatedintThe number of invoices generated
latestinvoiceidintWhen generating for a specific client, the last invoice id generated.

Example Request (CURL)

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://www.example.com/includes/api.php');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS,
    http_build_query(
        array(
            'action' => 'GenInvoices',
            // See https://developers.whmcs.com/api/authentication
            'username' => 'IDENTIFIER_OR_ADMIN_USERNAME',
            'password' => 'SECRET_OR_HASHED_PASSWORD',
            'responsetype' => 'json',
        )
    )
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
curl_close($ch);

Example Request (Local API)

$command = 'GenInvoices';
$postData = array(
);
$adminUsername = 'ADMIN_USERNAME'; // Optional for WHMCS 7.2 and later

$results = localAPI($command, $postData, $adminUsername);
print_r($results);

Example Response JSON

{
    "result": "success",
    "numcreated": "3"
}

Error Responses

Possible error condition responses include:

  • Client ID Not Found

Version History

VersionChangelog
1.0Initial Version